Bug 1459994 - [RFE][nova]: Netronome SmartNIC Enablement [NEEDINFO]
Summary: [RFE][nova]: Netronome SmartNIC Enablement
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Stephen Finucane
QA Contact: Joe H. Rahme
URL: https://blueprints.launchpad.net/nova...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-08 19:02 UTC by Stephen Gordon
Modified: 2019-09-09 13:33 UTC (History)
12 users (show)

Fixed In Version: openstack-nova-17.0.0-0.20180123163703.27eadbc.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:31:22 UTC
Target Upstream Version:
jschluet: needinfo? (sgordon)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 456386 None master: MERGED nova-specs: Spec to enable Netronome SmartNIC support (Ic2d9ef9dee7712c77ee5e33abea33a8c2924275d) 2018-02-07 14:27:00 UTC
OpenStack gerrit 483459 None None None 2018-02-13 10:05:16 UTC
OpenStack gerrit 486426 None None None 2018-02-13 10:05:41 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:33:17 UTC

Description Stephen Gordon 2017-06-08 19:02:49 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/netronome-smartnic-enablement.

Description:

Netronome SmartNICs allow complex packet processing on the NIC. In order to
support hardware acceleration for them, Nova core needs modifications to
support the combination of VIF and OVS plugging they support. This spec
proposes a hybrid SR-IOV and OVS model to enable acceleration.

Specification URL (additional information):

https://specs.openstack.org/openstack/nova-specs/specs/pike/approved/netronome-smartnic-enablement.html

Comment 7 Jon Schlueter 2018-06-22 16:20:40 UTC
The content for this fix is included in OSP 13 RC which is available on the Red Hat OpenStack Platform beta channels currently.  Any efforts to verify that these bugs have been fixed would be appreciated.

Comment 9 errata-xmlrpc 2018-06-27 13:31:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.